/* Metageek WiSPY container interface 
 * Mike Kershaw/Dragorn <dragorn@kismetwireless.net>
 *
 * This code is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * Extra thanks to Ryan Woodings @ Metageek for interface documentation
 */

#ifndef __WISPY_HW_NET_H__
#define __WISPY_HW_NET_H__

#include "wispy_container.h"

int wispy_net_device_scan(wispy_device_list *list);
int wispy_net_device_scan_url(wispy_device_list *list, char *url);

int wispy_net_init_url(wispy_phy *phydev, char *url);
int wispy_net_init(wispy_phy *phydev, wispy_device_rec *rec);

#endif

